WordPress.org

Codex

pt-br:Requisitos do WordPress

Requisitos do WordPress

  • Servidor baseado em UNIX/Linux1
  • PHP versão 5.2.4 ou superior
  • MySQL versão 5.0 ou superior
  • Memória para o PHP de pelo menos 64 MB (Somente para o software WordPress, sem plugins adicionais)
Para recursos extras
  • Memória para o PHP de pelo menos 256 MB2
  • Apache ou Nginx
  • Módulo mod_rewrite do Apache ativo
  • Extensões PHP como php_exif, php_GD etc (recursos nativos e de plugins)3

1. Servidores Microsoft funcionam com algumas limitações e/ou dependência de recursos específicos por parte do servidor.
2.item no TRAC (em inglês)
3. Recursos nativos do WordPress relacionados a manipulação de mídias, como recortar, girar uma imagem etc precisam de certas extensões PHP que podem não estar instaladas/ativadas por padrão no servidor de hospedagem.